Bug 837400 - SELinux is preventing /usr/lib64/xulrunner-2/plugin-container from 'name_connect' accesses on the tcp_socket .
SELinux is preventing /usr/lib64/xulrunner-2/plugin-container from 'name_conn...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:943c496ed9b5b6d64353b9f8f6c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-03 14:59 EDT by Pascal94
Modified: 2012-09-21 19:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-21 19:58:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pascal94 2012-07-03 14:59:36 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.4-3.fc17.x86_64
time:           mar. 03 juil. 2012 20:59:22 CEST

description:
:SELinux is preventing /usr/lib64/xulrunner-2/plugin-container from 'name_connect' accesses on the tcp_socket .
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that plugin-container should be allowed name_connect access on the  tcp_socket by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep plugin-containe /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                system_u:object_r:ipsecnat_port_t:s0
:Target Objects                 [ tcp_socket ]
:Source                        plugin-containe
:Source Path                   /usr/lib64/xulrunner-2/plugin-container
:Port                          4500
:Host                          (removed)
:Source RPM Packages           xulrunner-13.0.1-1.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-134.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.4.4-3.fc17.x86_64 #1 SMP Tue
:                              Jun 26 20:54:56 UTC 2012 x86_64 x86_64
:Alert Count                   2
:First Seen                    mar. 03 juil. 2012 20:58:50 CEST
:Last Seen                     mar. 03 juil. 2012 20:58:50 CEST
:Local ID                      749baf1f-b4ff-4944-9c08-7451a0e45940
:
:Raw Audit Messages
:type=AVC msg=audit(1341341930.439:161): avc:  denied  { name_connect } for  pid=2584 comm="plugin-containe" dest=4500 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:ipsecnat_port_t:s0 tclass=tcp_socket
:
:
:type=SYSCALL msg=audit(1341341930.439:161): arch=x86_64 syscall=connect success=no exit=EACCES a0=10 a1=7f48df64c330 a2=10 a3=0 items=0 ppid=862 pid=2584 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=1 comm=plugin-containe exe=/usr/lib64/xulrunner-2/plugin-container subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)
:
:Hash: plugin-containe,mozilla_plugin_t,ipsecnat_port_t,tcp_socket,name_connect
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-07-04 09:36:09 EDT
What were you doing when this happened?
Comment 2 Alex 2012-08-29 10:36:57 EDT
I get this same bug once in a while. I just launched a series of applications.. ksnapshot, rachota, oxygen and firefox. I used firefox a bit, closing gmail.com and opening clockingIT.com and google sites. Prior to opening those applications I shutdown a microsost 7 virtual box.
Comment 3 Alex 2012-08-30 06:55:19 EDT
I can now confirm I get this bug each time I load the website clockingit.com in firefox. I've sent them an email to inform them of the issue.
Comment 4 Miroslav Grepl 2012-09-03 04:49:17 EDT
Ok. We see bugs like this often. 

I added

tunable_policy(`mozilla_plugin_can_network_connect',`
       corenet_tcp_connect_unreserved_ports(mozilla_plugin_t)
')

boolean which a user can turn on until we add a rule for a port.
Comment 5 Fedora Update System 2012-09-17 08:12:11 EDT
selinux-policy-3.10.0-149.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-149.fc17
Comment 6 Fedora Update System 2012-09-18 22:53:54 EDT
Package selinux-policy-3.10.0-149.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-149.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14301/selinux-policy-3.10.0-149.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-09-21 19:58:06 EDT
selinux-policy-3.10.0-149.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.